%define upstream_name    MooseX-Types-LoadableClass
%define upstream_version 0.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    ClassName type constraint with coercion to load the class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load) >= 0.60.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types) >= 0.220.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
    use Moose::Util::TypeConstraints;

    my $tc = subtype as ClassName;
    coerce $tc, from Str, via { Class::MOP::load_class($_); $_ };

I've written those three lines of code quite a lot of times, in quite a lot
of places.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Thu Feb 23 2012 jquelin <jquelin> 0.7.0-1.mga2
+ Revision: 213446
- adding missing buildrequires:
- update to 0.007
- adding missing buildrequires:
- update to 0.006

* Tue Jan 25 2011 jquelin <jquelin> 0.5.0-1.mga1
+ Revision: 38652
- mageia rebuild
- imported package perl-MooseX-Types-LoadableClass


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 602091
- import perl-MooseX-Types-LoadableClass

